#include<bits/stdc++.h>
#define ff first
#define ss second
using namespace std;
long long n,m,i,j,k,l,p,q,r,g,h,a[1000009],ans;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cout << "NO\n";
}
